// 
// Confidential property of Sybase, Inc.
// (c) Copyright Sybase, Inc. 2000.
// All rights reserved
// 
package com.sybase.jaguar.management.jagtool;

import java.io.*;

public class JTGlobals extends Object
{
    private static String _hostName = JTConstants.DEFAULT_HOST;
    private static String _port = JTConstants.DEFAULT_PORT;
    private static String _userName = JTConstants.DEFAULT_USER;
    private static String _password = JTConstants.DEFAULT_PASSWORD;
    private static String _commandFile = JTConstants.DEFAULT_COMMAND_FILE;
    private static File   _outputFile = null;

    private JTGlobals() {}

    public static String getHostName()
    {
        return _hostName;
    }

    public static void setHostName(String hostName)
    {
        _hostName = hostName;
    }

    public static String getPort()
    {
        return _port;
    }

    public static void setPort(String port)
    {
        _port = port;
    }

    public static String getUserName()
    {
        return _userName;
    }

    public static void setUserName(String userName)
    {
        _userName = userName;
    }

    public static String getPassword()
    {
        return _password;
    }

    public static void setPassword(String password)
    {
        _password = password;
    }

    public static String getCommandFile()
    {
        return _commandFile;
    }

    public static void setCommandFile(String commandFile)
    {
        _commandFile = commandFile;
    }

    public static File getOutputFile()
    {
        return _outputFile;
    }

    public static void setOutputFile(File outputFile) throws IOException
    {
        FileOutputStream fos = new FileOutputStream(outputFile);
        PrintStream ps = new PrintStream(fos, true);
        System.setOut(ps);
        System.setErr(ps);
        _outputFile = outputFile;
    }
}

