/*
 * $Id: FinderException.java,v 1.6 1999/10/30 08:08:26 tcfujii Exp $
 *
 * Copyright 1998, 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package javax.ejb;

/**
 * The FinderException exception must be included in the throws clause
 * of every findMETHOD(...) method of an entity Bean's home interface.
 *
 * <p> The exception is used as a standard application-level exception to 
 * report a failure to find the requested EJB object(s).
 */
public class FinderException extends java.lang.Exception {
    /**
     * Constructs an FinderException with no detail message.
     */  
    public FinderException() {
    }

    /**
     * Constructs an FinderException with the specified
     * detail message.
     */  
    public FinderException(String message) {
        super(message);
    }
}

