/*
 * $Id: RemoveException.java,v 1.6 1999/10/30 08:08:31 tcfujii Exp $
 *
 * Copyright 1998, 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package javax.ejb;

/**
 * The RemoveException exception is thrown at an attempt to remove
 * an EJB object when the enterprise Bean or the container does not allow 
 * the EJB object to be removed.
 */
public class RemoveException extends java.lang.Exception {
    /**
     * Constructs an RemoveException with no detail message.
     */  
    public RemoveException() {
    }

    /**
     * Constructs an RemoveException with the specified
     * detail message.
     */  
    public RemoveException(String message) {
        super(message);
    }
}

