
#  A command-line shell script with example calls of the JDBCExamples class.
#  These calls invoke the JDBCExamples methods as a Java client application.
#
#  NOTE:  
#          You will need to replace the server-name:portnumber parameters
#          ("antibes:4000") with your server identification.
#
#  The calls in this script drop the table "xmp" and the stored proc "inout".
#
#  Execute this script after either of the following SQL or command line scipts:
#
#      JDBCExamples-run.sh
#      JDBCExamples-run.sql
#
#  Note:  We perform these DROPs in this separate script, because DROP PROC
#  is not supported by the native JDBC driver of the SQL server.

java JDBCExamples "$JSERVER"   droptable
java JDBCExamples "$JSERVER"   dropproc
