# Model settings of the environment variables.
# These variables are used for setting the CLASSPATH,
# and for "make" and for test scripts.

# The JAVA_SQL variable is the location of "$SYBASE/ASE-12_5/sample/JavaSql"
# The JAVA_SQL variable is only used within this file.
setenv JAVA_SQL  "$SYBASE/ASE-12_5/sample/JavaSql"

# JAVA_HOME and JDBC_HOME are used by jConnect.
# JDBC_HOME is the directory in which jConnect  is installed.
setenv JAVA_HOME "/usr/global/opt/jdk1.2"
setenv JDBC_HOME "/remote/metadata/java/jConnect5.x"

# JSERVER is the server name for jConnect. It is used only in test scripts.
setenv  JSERVER "antibes:14322?user=sa"

#  The items needed on the CLASSPATH:
setenv CLASSPATH "./:$JAVA_HOME/bin/:$JAVA_HOME/lib/"

# The CLASSPATH for jConnect
setenv CLASSPATH $CLASSPATH":$JDBC_HOME/classes:$JDBC_HOME/classes/jconn2.jar"

#  The CLASSPATH for the Xerces parser
setenv CLASSPATH $CLASSPATH":$SYBASE/ASE-12_5/lib/xerces.jar"

#  The following settings are needed when using the JCS example classes in a client environment.
#  The CLASSPATH for the example jcs package
setenv CLASSPATH $CLASSPATH":$JAVA_SQL/XML-examples/jcs.jar"

#  The CLASSPATH for the Java-SQL example classes
setenv CLASSPATH $CLASSPATH":$JAVA_SQL/Java-SQL-examples/java-sql-examples.jar"

#  The CLASSPATH for the SQLJ example classes
setenv CLASSPATH $CLASSPATH":$JAVA_SQL/SQLJ-examples/sqlj-examples.jar"


