//
//  Copyright (c) 1999, 2001
//  Sybase, Inc
//  Emeryville, CA 94608
//  All Rights Reserved
//
package jcs.xml;

import org.xml.sax.SAXParseException;
import org.xml.sax.helpers.DefaultHandler;

/**  
 *  A class to catch errors from the XML parser.
 *
 */  

public class ErrorHandler extends DefaultHandler {

   /**  
    *  
    *  Treats validation errors as fatal. 
    *  <p>This method is a placeholder, and may be replaced by some other
    *  treatment of parse errors arising in the server.
    *  @param  e  a SAXParseException thrown by the XML parser
    *  @throws  SAXParseException    Re-thrown when arising.

    *  
    */  
   public void error (SAXParseException e)
                       throws SAXParseException {
      throw e;
   }

   /**  
    *  
    *  Dumps warnings too.
    *  <p>This method is a placeholder, and may be replaced by some other
    *  treatment of parse errors arising in the server.
    *  @param  e  a SAXParseException thrown by the XML parser
    *  @throws  SAXParseException    Re-thrown when arising.

    *  
    */  

   public void warning (SAXParseException e)
                      throws SAXParseException   {
      throw e;
   }
}

