
-- Create a table for results
create table  servertest
   (id char(20),  
    xml jcs.xml.resultset.ResultSetXml,
    script java.lang.String null)
go

-- Generate an XML ResultSet document with a trivial result set
declare @rsx jcs.xml.resultset.ResultSetXml
select @rsx = new jcs.xml.resultset.ResultSetXml
    ("select 1 as 'a', 2 as 'b', 3  ", "none", "yes",  "")
insert into servertest values("1", @rsx, null)
go
-- Generate an SQL script to re-create the result set, 
update servertest
set script = xml>>toSqlScript("servercopy", "column_",  "no")
where id = "1"
go
declare @script java.lang.String
select @script = script from servertest where id="1"
declare @i integer
select @i = jcs.util.ExecSql.statement(@script, "")

go

-- Display the copy table
select * from servercopy
go
EOF