// 
// Confidential property of Sybase, Inc.
// (c) Copyright Sybase, Inc. 2000.
// All rights reserved
// 
package com.sybase.jaguar.management.jagtool.ant;

import java.io.*;
import org.apache.tools.ant.Task;
import com.sybase.jaguar.management.jagtool.Logger;

/**
 * Logging class for bridging jagtool commands
 * with Ant.
 */
public class JagTaskLogger implements Logger
{
    private Task _task;
        	
    public JagTaskLogger(Task task)
    {
        _task = task;
    }

    // Implement Logger inteface

    public void println(String s)
    {
        _task.log(s);
    }

    public void println()
    {
        _task.log("");
    }
}
