// 
// Confidential property of Sybase, Inc.
// (c) Copyright Sybase, Inc. 2000.
// All rights reserved
// 
package com.sybase.jaguar.management.jagtool.ant;

import java.util.ListResourceBundle;

/**
 * Resource bundle for package com.sybase.jaguar.managment.jagtool.ant.
 */
public class ResourceBundle extends ListResourceBundle
{
    /**
     * Return the entire contents of the resource bundle.
     * @return  two dimension array of pairs <key>,<value>
     */
    public Object[][] getContents()
    {
        return contents;
    }

    /**
     * The array that holds the actual resources in a form <key>,<value>.
     */
    static final Object[][] contents = 
    {
        { "notConnectedMsg", "Not connected to a Jaguar server" },
        { "connectSuccessMsg", "Connected to server at {0}:{1} as user {2}" },
        { "connectFailMsg", "Cannot connect to server at {0}:{1}" },
    };
}

