package com.sybase.jaguar.sample.events;

class PullStockEvent extends Thread
{
    private StockEventListener _listener;

    private StockManager _stockManager;

    private int _id;

    PullStockEvent
        (StockEventListener listener,
        StockManager stockManager,
        int id)
    {
        _listener = listener;
        _stockManager = stockManager;
        _id = 0;
    }

    public void run()
    {
        for (;;)
        {
            StockEvent event = _stockManager.pullStockEvent(_id);
            _listener.stockEvent(event);
            _id = event.id + 1;
        }
    }
}
