/*
 * $Id: CreateException.java,v 1.6 1999/10/30 08:08:15 tcfujii Exp $
 *
 * Copyright 1998, 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package javax.ejb;

/**
 * The CreateException exception must be included in the throws clauses of
 * all create(...) methods define in an enterprise Bean's remote interface. 
 *
 * <p> The exception is used as a standard application-level exception to
 * report a failure to create an entity EJB object.
 */
public class CreateException extends java.lang.Exception {
    /**
     * Constructs an CreateException with no detail message.
     */  
    public CreateException() {
    }

    /**
     * Constructs an CreateException with the specified
     * detail message.
     */  
    public CreateException(String message) {
        super(message);
    }
}

