/*
 * $Id: DuplicateKeyException.java,v 1.6 1999/10/30 08:08:16 tcfujii Exp $
 *
 * Copyright 1998, 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package javax.ejb;

/**
 * The DuplicateKeyException exception is thrown if an entity EJB object 
 * cannot be created because an object with the same key already exists.
 * This exception is thrown by the create methods defined in an enterprise
 * Bean's home interface.
 */
public class DuplicateKeyException extends CreateException {
    /**
     * Constructs an DuplicateKeyException with no detail message.
     */  
    public DuplicateKeyException() {
    }

    /**
     * Constructs an DuplicateKeyException with the specified
     * detail message.
     */  
    public DuplicateKeyException(String message) {
        super(message);
    }
}

